<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [read](./bitburner.netscriptport.read.md)

## NetscriptPort.read() method

Shift an element out of the port.

**Signature:**

```typescript
read(): any;
```
**Returns:**

any

the data read.

## Remarks

RAM cost: 0 GB

This function will remove the first element from the port and return it. If the port is empty, then the string “NULL PORT DATA” will be returned.

